/*
	File:		PAPServerUtilities.h

	Contains:	

	Written by: Rich Kubota	

	Copyright:	Copyright  1999 by Apple Computer, Inc., All Rights Reserved.

				You may incorporate this Apple sample source code into your program(s) without
				restriction. This Apple sample source code has been provided "AS IS" and the
				responsibility for its operation is yours. You are not permitted to redistribute
				this Apple sample source code as "Apple sample source code" after having made
				changes. If you're going to re-distribute the source, we require that you make
				it clear in the source that the code was descended from Apple sample source
				code, but that you've made changes.

	Change History (most recent first):
				7/22/1999	Karl Groethe	Updated for Metrowerks Codewarror Pro 2.1
				

*/

#ifndef __PAPSERVERUTILITIES__
#define __PAPSERVERUTILITIES__


#ifndef __CONDITIONALMACROS__
#include <ConditionalMacros.h>
#endif

#ifdef __cplusplus
extern "C" {
#endif

#if PRAGMA_ALIGN_SUPPORTED
#pragma options align=mac68k
#endif

#if PRAGMA_IMPORT_SUPPORTED
#pragma import on
#endif

#include <Types.h>
#include <OSUtils.h>

#define kRootFolderDirID	2
#define kBootVolVRefNum		-1


// Prototypes
extern short 			NumToolboxTraps(void);
extern TrapType 		GetTrapType(short theTrap);
extern Boolean 			TrapAvailable(short theTrap);
extern pascal	OSErr	HCreateMinimum(short vRefNum,
							   long dirID,
							   ConstStr255Param fileName);
extern OSErr			OpenTempFile(short *fRefNum);
extern OSErr			WriteDataToTempFile(short fRefNum, UInt8 *buffer, UInt32 len);
extern OSErr 			CloseTempFile(short	fRefNum);


#if PRAGMA_IMPORT_SUPPORTED
#pragma import off
#endif

#if PRAGMA_ALIGN_SUPPORTED
#pragma options align=reset
#endif

#ifdef __cplusplus
}
#endif

#endif /* __PAPSERVERUTILITIES__ */