/*
	File:		StreamLogResources.h

	Contains:	Header file containing application resource definitions.

	Written by: Quinn "The Eskimo!"	

	Copyright:	Copyright  1998-1999 by Apple Computer, Inc., All Rights Reserved.

				You may incorporate this Apple sample source code into your program(s) without
				restriction. This Apple sample source code has been provided "AS IS" and the
				responsibility for its operation is yours. You are not permitted to redistribute
				this Apple sample source code as "Apple sample source code" after having made
				changes. If you're going to re-distribute the source, we require that you make
				it clear in the source that the code was descended from Apple sample source
				code, but that you've made changes.

	Change History (most recent first):
				7/23/1999	Karl Groethe	Updated for Metrowerks Codewarror Pro 2.1
				

*/

/////////////////////////////////////////////////////////////////////

enum {

	// MBAR
	
	rMenuBar = 128,
		mApple = 128,
			iAbout = 1,
		mFile = 129,
			iClose = 1,
			iShowHideLogWindow = 2,
			iStartStopLogging = 3,
			iScrollWhileLogging = 4,
			iQuit = 5,
		mEdit = 130,
			iUndo = 1,
			// - = 2,
			iCut = 3,
			iCopy = 4,
			iPaste = 5,
			iClear = 6,
			iSelectAll = 7,
		
		mTraceLevel = 150,
			iAll = 1,
			iLevelOffset = 3,
	
	// DLOG
	
	rMainDialog = 128,
		ditStart = 1,				// push button
		ditStop = 2,				// push button
		ditLogErrors = 3,			// checkbox
		ditLogTraces = 4,			// checkbox
		ditAllTraces = 5,			// radio
		ditTracesMatching = 6,		// radio
		ditSetupFilter = 7,			// push button
		ditLogToFile = 8,			// checkbox
		ditLoggedCount = 9,			// static text
		ditDroppedCount = 10,		// static text
		ditTraceLevel = 11,			// popup
		ditLogEntryList = 12,		// user item
	rFilterDialog = 129,
		// ditOK = 1,					// push botton
		// ditCancel = 2,				// push botton
		ditDefault = 3,				// default user item
		ditAllModules = 4,			// radio
		ditChosenModules = 5,		// radio
		ditModuleID = 6,			// static text
		ditAllStreams = 7,			// radio
		ditChosenStreams = 8,		// radio
		ditStreamID = 9,			// static text
		
	// ALRT
	
	rConfirmStopAlert = 256,
	rAboutBox = 257,
	rErrorAlert = 258,
	
	// STR#
	
	rMiscStrings = 128,
		strShowLogWindow = 1,
		strHideLogWindow = 2,
		strStartLogging = 3,
		strStopLogging = 4,
		strLogFileName = 5,
	
	// LDEF
	
	rSimpleLDEF = 128,
	
	// Ners
	
	rErrorTable = 128,
	
	dummy = 666						// just so I don't have to worry about the trailing commas
};
