/*
	File:		RAScriptingAdditions.h

	Contains:	defines for ARA and OT/PPP Scripting Additions

	Written by: 	

	Copyright:	Copyright  1999 by Apple Computer, Inc., All Rights Reserved.

				You may incorporate this Apple sample source code into your program(s) without
				restriction. This Apple sample source code has been provided "AS IS" and the
				responsibility for its operation is yours. You are not permitted to redistribute
				this Apple sample source code as "Apple sample source code" after having made
				changes. If you're going to re-distribute the source, we require that you make
				it clear in the source that the code was descended from Apple sample source
				code, but that you've made changes.

	Change History (most recent first):
				7/22/1999	Karl Groethe	Updated for Metrowerks Codewarror Pro 2.1
				

*/


#ifndef __RASCRIPTADDITIONS__
#define __RASCRIPTADDITIONS__

#define kNetworkAccessClass	'netw'
#define kPPPStatusRequestID	'RAst'
#define kARAStatusRequestID	'RMst'

#define kRAStateKey			'RAsb'		// TEXT
#define kRASecsConnectKey	'RAsc'		// long
#define kRASecsRemainKey	'RAsr'		// long
#define kRAMessageKey		'RAms'		// TEXT
#define kRAProtocolKey		'RAps'		// TEXT
#define kBaudRateKey		'RAbm'		// TEXT
#define kRABytesInKey		'RAbi'		// long
#define kRABytesOutKey		'RAbo'		// long

#define kARA30Version		0x03000000

#endif