/*
	File:		ATalkSampleUtils.h

	Contains:	Some utility routines used by the Sample programs

	Written by: 	

	Copyright:	Copyright  1993-1999 by Apple Computer, Inc., All Rights Reserved.

				You may incorporate this Apple sample source code into your program(s) without
				restriction. This Apple sample source code has been provided "AS IS" and the
				responsibility for its operation is yours. You are not permitted to redistribute
				this Apple sample source code as "Apple sample source code" after having made
				changes. If you're going to re-distribute the source, we require that you make
				it clear in the source that the code was descended from Apple sample source
				code, but that you've made changes.

	Change History (most recent first):
				7/22/1999	Karl Groethe	Updated for Metrowerks Codewarror Pro 2.1
				

*/

#ifndef __ATALKSAMPLEUTILS__
#define __ATALKSAMPLEUTILS__

#include "OpenTransport.h"
#include "OpenTptAppleTalk.h"


void Idle(void);
void ShowEndpointInfo(EndpointRef ep);
void ShowEndpointState(EndpointRef ep, char* prefixString);
void ShowFullEndpointData(EndpointRef ep);
void ShowDDPAddress(DDPAddress* addr);

#endif
