/*

	file: PAPServerUtilities.h
	
	by:		Rich Kubota
			Developer Technical Support
			
*/

#ifndef __PAPSERVERUTILITIES__
#define __PAPSERVERUTILITIES__


#ifndef __CONDITIONALMACROS__
#include <ConditionalMacros.h>
#endif

#ifdef __cplusplus
extern "C" {
#endif

#if PRAGMA_ALIGN_SUPPORTED
#pragma options align=mac68k
#endif

#if PRAGMA_IMPORT_SUPPORTED
#pragma import on
#endif

#include <Types.h>
#include <OSUtils.h>

#define kRootFolderDirID	2
#define kBootVolVRefNum		-1


// Prototypes
extern short 			NumToolboxTraps(void);
extern TrapType 		GetTrapType(short theTrap);
extern Boolean 			TrapAvailable(short theTrap);
extern pascal	OSErr	HCreateMinimum(short vRefNum,
							   long dirID,
							   ConstStr255Param fileName);
extern OSErr			OpenTempFile(short *fRefNum);
extern OSErr			WriteDataToTempFile(short fRefNum, UInt8 *buffer, UInt32 len);
extern OSErr 			CloseTempFile(short	fRefNum);


#if PRAGMA_IMPORT_SUPPORTED
#pragma import off
#endif

#if PRAGMA_ALIGN_SUPPORTED
#pragma options align=reset
#endif

#ifdef __cplusplus
}
#endif

#endif /* __PAPSERVERUTILITIES__ */