
#include "MixedMode.r"

/*
Use the project ProcInfo. to determine the correct value for the ProcInfo field below.

A single '$' means a hex value.  You can also use the C format of 0x... if you want.
Run ProcInfo. to prove for yourself that a C routine (kCStackBased) that has no
arguments and returns void has a ProcInfo of $1 or 0x1.
Two dollar signs indicate a rez variable, as in $$Resource.  $$Resource tells rez 
to read the resource fork of a file and return, as a string, the data of a resource 
of a certain type and ID.


Use type 'MWCW' as 'fdes'; if you want a fat resource.
*/


type 'uamc' as 'sdes';

resource 'uamc'  (0, "PGP UAM Code resource",sysheap) {
	$0,													// 68K ProcInfo
	$00E0,												// PowerPC ProcInfo
	"",													// Specify filename, type, and ID of resource
														//   containing 68k code
	$$Resource("PGP client UAM-PPC", 'uamc', 0)			// Specify filename, type, and ID of resource
														//   containing a pef container
};

