//	PassphraseCache.h -  Passphrase Cache Interface Object  
// 
// Apple Macintosh Developer Technical Support
// Written by:  Vinnie Moscaritolo
//
//  Copyright (work in progress)  Apple Computer, Inc All rights reserved.
//
// You may incorporate this sample code into your applications without
// restriction, though the sample code has been provided "AS IS" and the
// responsibility for its operation is 100% yours.  However, what you are
// not permitted to do is to redistribute the source as "DSC Sample Code"
// after having made changes. If you're going to re-distribute the source,
// we require that you make it clear in the source that the code was
// descended from Apple Sample Code, but that you've made changes.
// 

#pragma once
  
#define PGP_MACINTOSH 1
#include "pgpkeys.h"


#ifdef __cplusplus
extern "C" {
#endif

	void 	 FlushPassphraseCache();

	void 	 SetPassphraseCacheTimeLimit( SInt16 mins);
	
	void	 EnablePassphraseCaching( Boolean );

	void 	 RememberPassphrase (PGPKeyRef  keyRef, const char* passphrase);		

	Boolean  GetPassphrase  	(PGPContextRef, PGPKeyRef, char** passphrase);		

#ifdef __cplusplus
}
#endif

